#!/bin/bash
set -ex

# Install tools needed for MP building and testing
add-apt-repository ppa:canonical-ci-engineering/ci-lab

apt-get update || apt-get update || apt-get update
apt-get install -y --assume-yes pbuilderjenkins

# Setup sudo permissions for the jenkins user
# FIXME: 20140926 plars - remove the need for this
# https://app.asana.com/0/8312808705920/16730142900575
if [ ! -f /etc/sudoers.d/jenkins ] ||
	! grep -q jenkins /etc/sudoers.d/jenkins; then
	echo "jenkins ALL=(ALL) NOPASSWD: ALL" > /etc/sudoers.d/jenkins
fi
